import{s as gt,n as _t,o as bt}from"../chunks/scheduler.182ea377.js";import{S as vt,i as wt,g as i,s as o,r as f,A as Ct,h as r,f as s,c as n,j as v,u,x as c,k as w,y as t,a as m,v as p,d as h,t as g,w as _}from"../chunks/index.abf12888.js";import{D}from"../chunks/Docstring.93f6f462.js";import{H as Qe}from"../chunks/Heading.16916d63.js";function Dt(Ye){let x,me,le,fe,L,ue,P,Ze='The <a href="https://huggingface.co/papers/1505.04597" rel="nofollow">UNet</a> model was originally introduced by Ronneberger et al. for biomedical image segmentation, but it is also commonly used in 🤗 Diffusers because it outputs images that are the same size as the input. It is one of the most important components of a diffusion system because it facilitates the actual diffusion process. There are several variants of the UNet model in 🤗 Diffusers, depending on it’s number of dimensions and whether it is a conditional model or not. This is a 3D UNet conditional model.',pe,A,et="The abstract from the paper is:",he,I,tt='<em>There is large consent that successful training of deep networks requires many thousand annotated training samples. In this paper, we present a network and training strategy that relies on the strong use of data augmentation to use the available annotated samples more efficiently. The architecture consists of a contracting path to capture context and a symmetric expanding path that enables precise localization. We show that such a network can be trained end-to-end from very few images and outperforms the prior best method (a sliding-window convolutional network) on the ISBI challenge for segmentation of neuronal structures in electron microscopic stacks. Using the same network trained on transmitted light microscopy images (phase contrast and DIC) we won the ISBI cell tracking challenge 2015 in these categories by a large margin. Moreover, the network is fast. Segmentation of a 512x512 image takes less than a second on a recent GPU. The full implementation (based on Caffe) and the trained networks are available at <a href="http://lmb.informatik.uni-freiburg.de/people/ronneber/u-net" rel="nofollow">http://lmb.informatik.uni-freiburg.de/people/ronneber/u-net</a>.</em>',ge,z,_e,a,O,Ne,X,ot=`A conditional 3D UNet model that takes a noisy sample, conditional state, and a timestep and returns a sample
shaped output.`,Me,J,nt=`This model inherits from <a href="/docs/diffusers/v0.26.0/en/api/models/overview#diffusers.ModelMixin">ModelMixin</a>. Check the superclass documentation for it’s generic methods implemented
for all models (such as downloading or saving).`,qe,$,H,Le,K,st="Disables the FreeU mechanism.",Pe,U,B,Ae,Q,it=`Sets the attention processor to use <a href="https://huggingface.co/blog/reformer#2-chunked-feed-forward-layers" rel="nofollow">feed forward
chunking</a>.`,Ie,b,E,ze,Y,rt='Enables the FreeU mechanism from <a href="https://arxiv.org/abs/2309.11497" rel="nofollow">https://arxiv.org/abs/2309.11497</a>.',Oe,Z,at="The suffixes after the scaling factors represent the stage blocks where they are being applied.",He,ee,dt=`Please refer to the <a href="https://github.com/ChenyangSi/FreeU" rel="nofollow">official repository</a> for combinations of values that
are known to work well for different pipelines such as Stable Diffusion v1, v2, and Stable Diffusion XL.`,Be,y,S,Ee,te,lt='The <a href="/docs/diffusers/v0.26.0/en/api/models/unet3d-cond#diffusers.UNet3DConditionModel">UNet3DConditionModel</a> forward method.',Se,C,V,Ve,oe,ct="Enable sliced attention computation.",Fe,ne,mt=`When this option is enabled, the attention module splits the input tensor in slices to compute attention in
several steps. This is useful for saving some memory in exchange for a small decrease in speed.`,je,T,F,We,se,ft="Sets the attention processor to use to compute attention.",Re,N,j,Ge,ie,ut="Disables custom attention processors and sets the default attention implementation.",Xe,M,W,Je,re,pt="Unloads LoRA weights.",be,R,ve,k,G,Ke,ae,ht='The output of <a href="/docs/diffusers/v0.26.0/en/api/models/unet3d-cond#diffusers.UNet3DConditionModel">UNet3DConditionModel</a>.',we,ce,Ce;return L=new Qe({props:{title:"UNet3DConditionModel",local:"unet3dconditionmodel",headingTag:"h1"}}),z=new Qe({props:{title:"UNet3DConditionModel",local:"diffusers.UNet3DConditionModel",headingTag:"h2"}}),O=new D({props:{name:"class diffusers.UNet3DConditionModel",anchor:"diffusers.UNet3DConditionModel",parameters:[{name:"sample_size",val:": Optional = None"},{name:"in_channels",val:": int = 4"},{name:"out_channels",val:": int = 4"},{name:"down_block_types",val:": Tuple = ('CrossAttnDownBlock3D', 'CrossAttnDownBlock3D', 'CrossAttnDownBlock3D', 'DownBlock3D')"},{name:"up_block_types",val:": Tuple = ('UpBlock3D', 'CrossAttnUpBlock3D', 'CrossAttnUpBlock3D', 'CrossAttnUpBlock3D')"},{name:"block_out_channels",val:": Tuple = (320, 640, 1280, 1280)"},{name:"layers_per_block",val:": int = 2"},{name:"downsample_padding",val:": int = 1"},{name:"mid_block_scale_factor",val:": float = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"norm_num_groups",val:": Optional = 32"},{name:"norm_eps",val:": float = 1e-05"},{name:"cross_attention_dim",val:": int = 1024"},{name:"attention_head_dim",val:": Union = 64"},{name:"num_attention_heads",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.UNet3DConditionModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code> or <code>Tuple[int, int]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Height and width of input/output sample.`,name:"sample_size"},{anchor:"diffusers.UNet3DConditionModel.in_channels",description:"<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of channels in the input sample.",name:"in_channels"},{anchor:"diffusers.UNet3DConditionModel.out_channels",description:"<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of channels in the output.",name:"out_channels"},{anchor:"diffusers.UNet3DConditionModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;DownBlock2D&quot;)</code>) &#x2014;
The tuple of downsample blocks to use.`,name:"down_block_types"},{anchor:"diffusers.UNet3DConditionModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;UpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;)</code>) &#x2014;
The tuple of upsample blocks to use.`,name:"up_block_types"},{anchor:"diffusers.UNet3DConditionModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to <code>(320, 640, 1280, 1280)</code>) &#x2014;
The tuple of output channels for each block.`,name:"block_out_channels"},{anchor:"diffusers.UNet3DConditionModel.layers_per_block",description:"<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; The number of layers per block.",name:"layers_per_block"},{anchor:"diffusers.UNet3DConditionModel.downsample_padding",description:"<strong>downsample_padding</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; The padding to use for the downsampling convolution.",name:"downsample_padding"},{anchor:"diffusers.UNet3DConditionModel.mid_block_scale_factor",description:"<strong>mid_block_scale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014; The scale factor to use for the mid block.",name:"mid_block_scale_factor"},{anchor:"diffusers.UNet3DConditionModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.UNet3DConditionModel.norm_num_groups",description:`<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014; The number of groups to use for the normalization.
If <code>None</code>, normalization and activation layers is skipped in post-processing.`,name:"norm_num_groups"},{anchor:"diffusers.UNet3DConditionModel.norm_eps",description:"<strong>norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014; The epsilon to use for the normalization.",name:"norm_eps"},{anchor:"diffusers.UNet3DConditionModel.cross_attention_dim",description:"<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 1280) &#x2014; The dimension of the cross attention features.",name:"cross_attention_dim"},{anchor:"diffusers.UNet3DConditionModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014; The dimension of the attention heads.",name:"attention_head_dim"},{anchor:"diffusers.UNet3DConditionModel.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>) &#x2014; The number of attention heads.",name:"num_attention_heads"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.0/src/diffusers/models/unets/unet_3d_condition.py#L64"}}),H=new D({props:{name:"disable_freeu",anchor:"diffusers.UNet3DConditionModel.disable_freeu",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.26.0/src/diffusers/models/unets/unet_3d_condition.py#L498"}}),B=new D({props:{name:"enable_forward_chunking",anchor:"diffusers.UNet3DConditionModel.enable_forward_chunking",parameters:[{name:"chunk_size",val:": Optional = None"},{name:"dim",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.UNet3DConditionModel.enable_forward_chunking.chunk_size",description:`<strong>chunk_size</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The chunk size of the feed-forward layers. If not specified, will run feed-forward layer individually
over each tensor of dim=<code>dim</code>.`,name:"chunk_size"},{anchor:"diffusers.UNet3DConditionModel.enable_forward_chunking.dim",description:`<strong>dim</strong> (<code>int</code>, <em>optional</em>, defaults to <code>0</code>) &#x2014;
The dimension over which the feed-forward computation should be chunked. Choose between dim=0 (batch)
or dim=1 (sequence length).`,name:"dim"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.0/src/diffusers/models/unets/unet_3d_condition.py#L412"}}),E=new D({props:{name:"enable_freeu",anchor:"diffusers.UNet3DConditionModel.enable_freeu",parameters:[{name:"s1",val:""},{name:"s2",val:""},{name:"b1",val:""},{name:"b2",val:""}],parametersDescription:[{anchor:"diffusers.UNet3DConditionModel.enable_freeu.s1",description:`<strong>s1</strong> (<code>float</code>) &#x2014;
Scaling factor for stage 1 to attenuate the contributions of the skip features. This is done to
mitigate the &#x201C;oversmoothing effect&#x201D; in the enhanced denoising process.`,name:"s1"},{anchor:"diffusers.UNet3DConditionModel.enable_freeu.s2",description:`<strong>s2</strong> (<code>float</code>) &#x2014;
Scaling factor for stage 2 to attenuate the contributions of the skip features. This is done to
mitigate the &#x201C;oversmoothing effect&#x201D; in the enhanced denoising process.`,name:"s2"},{anchor:"diffusers.UNet3DConditionModel.enable_freeu.b1",description:"<strong>b1</strong> (<code>float</code>) &#x2014; Scaling factor for stage 1 to amplify the contributions of backbone features.",name:"b1"},{anchor:"diffusers.UNet3DConditionModel.enable_freeu.b2",description:"<strong>b2</strong> (<code>float</code>) &#x2014; Scaling factor for stage 2 to amplify the contributions of backbone features.",name:"b2"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.0/src/diffusers/models/unets/unet_3d_condition.py#L473"}}),S=new D({props:{name:"forward",anchor:"diffusers.UNet3DConditionModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": Union"},{name:"encoder_hidden_states",val:": Tensor"},{name:"class_labels",val:": Optional = None"},{name:"timestep_cond",val:": Optional = None"},{name:"attention_mask",val:": Optional = None"},{name:"cross_attention_kwargs",val:": Optional = None"},{name:"down_block_additional_residuals",val:": Optional = None"},{name:"mid_block_additional_residual",val:": Optional = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet3DConditionModel.forward.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The noisy input tensor with the following shape <code>(batch, num_frames, channel, height, width</code>.`,name:"sample"},{anchor:"diffusers.UNet3DConditionModel.forward.timestep",description:"<strong>timestep</strong> (<code>torch.FloatTensor</code> or <code>float</code> or <code>int</code>) &#x2014; The number of timesteps to denoise an input.",name:"timestep"},{anchor:"diffusers.UNet3DConditionModel.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder hidden states with shape <code>(batch, sequence_length, feature_dim)</code>.`,name:"encoder_hidden_states"},{anchor:"diffusers.UNet3DConditionModel.forward.class_labels",description:`<strong>class_labels</strong> (<code>torch.Tensor</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Optional class labels for conditioning. Their embeddings will be summed with the timestep embeddings.
timestep_cond &#x2014; (<code>torch.Tensor</code>, <em>optional</em>, defaults to <code>None</code>):
Conditional embeddings for timestep. If provided, the embeddings will be summed with the samples passed
through the <code>self.time_embedding</code> layer to obtain the timestep embeddings.`,name:"class_labels"},{anchor:"diffusers.UNet3DConditionModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
An attention mask of shape <code>(batch, key_tokens)</code> is applied to <code>encoder_hidden_states</code>. If <code>1</code> the mask
is kept, otherwise if <code>0</code> it is discarded. Mask will be converted into a bias, which adds large
negative values to the attention scores corresponding to &#x201C;discard&#x201D; tokens.`,name:"attention_mask"},{anchor:"diffusers.UNet3DConditionModel.forward.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttentionProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/attention_processor.py" rel="nofollow">diffusers.models.attention_processor</a>.
down_block_additional_residuals &#x2014; (<code>tuple</code> of <code>torch.Tensor</code>, <em>optional</em>):
A tuple of tensors that if specified are added to the residuals of down unet blocks.
mid_block_additional_residual &#x2014; (<code>torch.Tensor</code>, <em>optional</em>):
A tensor that if specified is added to the residual of the middle unet block.`,name:"cross_attention_kwargs"},{anchor:"diffusers.UNet3DConditionModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>~models.unet_3d_condition.UNet3DConditionOutput</code> instead of a plain
tuple.`,name:"return_dict"},{anchor:"diffusers.UNet3DConditionModel.forward.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttnProcessor</code>.`,name:"cross_attention_kwargs"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.0/src/diffusers/models/unets/unet_3d_condition.py#L518",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>If <code>return_dict</code> is True, an <code>~models.unet_3d_condition.UNet3DConditionOutput</code> is returned, otherwise
a <code>tuple</code> is returned where the first element is the sample tensor.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>~models.unet_3d_condition.UNet3DConditionOutput</code> or <code>tuple</code></p>
`}}),V=new D({props:{name:"set_attention_slice",anchor:"diffusers.UNet3DConditionModel.set_attention_slice",parameters:[{name:"slice_size",val:": Union"}],parametersDescription:[{anchor:"diffusers.UNet3DConditionModel.set_attention_slice.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code> or <code>list(int)</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, input to the attention heads is halved, so attention is computed in two steps. If
<code>&quot;max&quot;</code>, maximum amount of memory is saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.0/src/diffusers/models/unets/unet_3d_condition.py#L312"}}),F=new D({props:{name:"set_attn_processor",anchor:"diffusers.UNet3DConditionModel.set_attn_processor",parameters:[{name:"processor",val:": Union"}],parametersDescription:[{anchor:"diffusers.UNet3DConditionModel.set_attn_processor.processor",description:`<strong>processor</strong> (<code>dict</code> of <code>AttentionProcessor</code> or only <code>AttentionProcessor</code>) &#x2014;
The instantiated processor class or a dictionary of processor classes that will be set as the processor
for <strong>all</strong> <code>Attention</code> layers.</p>
<p>If <code>processor</code> is a dict, the key needs to define the path to the corresponding cross attention
processor. This is strongly recommended when setting trainable attention processors.`,name:"processor"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.0/src/diffusers/models/unets/unet_3d_condition.py#L378"}}),j=new D({props:{name:"set_default_attn_processor",anchor:"diffusers.UNet3DConditionModel.set_default_attn_processor",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.26.0/src/diffusers/models/unets/unet_3d_condition.py#L453"}}),W=new D({props:{name:"unload_lora",anchor:"diffusers.UNet3DConditionModel.unload_lora",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.26.0/src/diffusers/models/unets/unet_3d_condition.py#L507"}}),R=new Qe({props:{title:"UNet3DConditionOutput",local:"diffusers.models.unets.unet_3d_condition.UNet3DConditionOutput",headingTag:"h2"}}),G=new D({props:{name:"class diffusers.models.unets.unet_3d_condition.UNet3DConditionOutput",anchor:"diffusers.models.unets.unet_3d_condition.UNet3DConditionOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.unets.unet_3d_condition.UNet3DConditionOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_frames, num_channels, height, width)</code>) &#x2014;
The hidden states output conditioned on <code>encoder_hidden_states</code> input. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.0/src/diffusers/models/unets/unet_3d_condition.py#L51"}}),{c(){x=i("meta"),me=o(),le=i("p"),fe=o(),f(L.$$.fragment),ue=o(),P=i("p"),P.innerHTML=Ze,pe=o(),A=i("p"),A.textContent=et,he=o(),I=i("p"),I.innerHTML=tt,ge=o(),f(z.$$.fragment),_e=o(),a=i("div"),f(O.$$.fragment),Ne=o(),X=i("p"),X.textContent=ot,Me=o(),J=i("p"),J.innerHTML=nt,qe=o(),$=i("div"),f(H.$$.fragment),Le=o(),K=i("p"),K.textContent=st,Pe=o(),U=i("div"),f(B.$$.fragment),Ae=o(),Q=i("p"),Q.innerHTML=it,Ie=o(),b=i("div"),f(E.$$.fragment),ze=o(),Y=i("p"),Y.innerHTML=rt,Oe=o(),Z=i("p"),Z.textContent=at,He=o(),ee=i("p"),ee.innerHTML=dt,Be=o(),y=i("div"),f(S.$$.fragment),Ee=o(),te=i("p"),te.innerHTML=lt,Se=o(),C=i("div"),f(V.$$.fragment),Ve=o(),oe=i("p"),oe.textContent=ct,Fe=o(),ne=i("p"),ne.textContent=mt,je=o(),T=i("div"),f(F.$$.fragment),We=o(),se=i("p"),se.textContent=ft,Re=o(),N=i("div"),f(j.$$.fragment),Ge=o(),ie=i("p"),ie.textContent=ut,Xe=o(),M=i("div"),f(W.$$.fragment),Je=o(),re=i("p"),re.textContent=pt,be=o(),f(R.$$.fragment),ve=o(),k=i("div"),f(G.$$.fragment),Ke=o(),ae=i("p"),ae.innerHTML=ht,we=o(),ce=i("p"),this.h()},l(e){const d=Ct("svelte-u9bgzb",document.head);x=r(d,"META",{name:!0,content:!0}),d.forEach(s),me=n(e),le=r(e,"P",{}),v(le).forEach(s),fe=n(e),u(L.$$.fragment,e),ue=n(e),P=r(e,"P",{"data-svelte-h":!0}),c(P)!=="svelte-ow4zsm"&&(P.innerHTML=Ze),pe=n(e),A=r(e,"P",{"data-svelte-h":!0}),c(A)!=="svelte-1cwsb16"&&(A.textContent=et),he=n(e),I=r(e,"P",{"data-svelte-h":!0}),c(I)!=="svelte-12epiox"&&(I.innerHTML=tt),ge=n(e),u(z.$$.fragment,e),_e=n(e),a=r(e,"DIV",{class:!0});var l=v(a);u(O.$$.fragment,l),Ne=n(l),X=r(l,"P",{"data-svelte-h":!0}),c(X)!=="svelte-1izhjcu"&&(X.textContent=ot),Me=n(l),J=r(l,"P",{"data-svelte-h":!0}),c(J)!=="svelte-1g5ncgr"&&(J.innerHTML=nt),qe=n(l),$=r(l,"DIV",{class:!0});var De=v($);u(H.$$.fragment,De),Le=n(De),K=r(De,"P",{"data-svelte-h":!0}),c(K)!=="svelte-1d0rkng"&&(K.textContent=st),De.forEach(s),Pe=n(l),U=r(l,"DIV",{class:!0});var xe=v(U);u(B.$$.fragment,xe),Ae=n(xe),Q=r(xe,"P",{"data-svelte-h":!0}),c(Q)!=="svelte-2m23sy"&&(Q.innerHTML=it),xe.forEach(s),Ie=n(l),b=r(l,"DIV",{class:!0});var q=v(b);u(E.$$.fragment,q),ze=n(q),Y=r(q,"P",{"data-svelte-h":!0}),c(Y)!=="svelte-4p7kn0"&&(Y.innerHTML=rt),Oe=n(q),Z=r(q,"P",{"data-svelte-h":!0}),c(Z)!=="svelte-1t9gjdi"&&(Z.textContent=at),He=n(q),ee=r(q,"P",{"data-svelte-h":!0}),c(ee)!=="svelte-tw05zf"&&(ee.innerHTML=dt),q.forEach(s),Be=n(l),y=r(l,"DIV",{class:!0});var ke=v(y);u(S.$$.fragment,ke),Ee=n(ke),te=r(ke,"P",{"data-svelte-h":!0}),c(te)!=="svelte-4dl4j6"&&(te.innerHTML=lt),ke.forEach(s),Se=n(l),C=r(l,"DIV",{class:!0});var de=v(C);u(V.$$.fragment,de),Ve=n(de),oe=r(de,"P",{"data-svelte-h":!0}),c(oe)!=="svelte-7fahc0"&&(oe.textContent=ct),Fe=n(de),ne=r(de,"P",{"data-svelte-h":!0}),c(ne)!=="svelte-1yjwkav"&&(ne.textContent=mt),de.forEach(s),je=n(l),T=r(l,"DIV",{class:!0});var $e=v(T);u(F.$$.fragment,$e),We=n($e),se=r($e,"P",{"data-svelte-h":!0}),c(se)!=="svelte-1o77hl2"&&(se.textContent=ft),$e.forEach(s),Re=n(l),N=r(l,"DIV",{class:!0});var Ue=v(N);u(j.$$.fragment,Ue),Ge=n(Ue),ie=r(Ue,"P",{"data-svelte-h":!0}),c(ie)!=="svelte-1lxcwhv"&&(ie.textContent=ut),Ue.forEach(s),Xe=n(l),M=r(l,"DIV",{class:!0});var ye=v(M);u(W.$$.fragment,ye),Je=n(ye),re=r(ye,"P",{"data-svelte-h":!0}),c(re)!=="svelte-3w0qg9"&&(re.textContent=pt),ye.forEach(s),l.forEach(s),be=n(e),u(R.$$.fragment,e),ve=n(e),k=r(e,"DIV",{class:!0});var Te=v(k);u(G.$$.fragment,Te),Ke=n(Te),ae=r(Te,"P",{"data-svelte-h":!0}),c(ae)!=="svelte-1uxq2dy"&&(ae.innerHTML=ht),Te.forEach(s),we=n(e),ce=r(e,"P",{}),v(ce).forEach(s),this.h()},h(){w(x,"name","hf:doc:metadata"),w(x,"content",xt),w($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(a,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,d){t(document.head,x),m(e,me,d),m(e,le,d),m(e,fe,d),p(L,e,d),m(e,ue,d),m(e,P,d),m(e,pe,d),m(e,A,d),m(e,he,d),m(e,I,d),m(e,ge,d),p(z,e,d),m(e,_e,d),m(e,a,d),p(O,a,null),t(a,Ne),t(a,X),t(a,Me),t(a,J),t(a,qe),t(a,$),p(H,$,null),t($,Le),t($,K),t(a,Pe),t(a,U),p(B,U,null),t(U,Ae),t(U,Q),t(a,Ie),t(a,b),p(E,b,null),t(b,ze),t(b,Y),t(b,Oe),t(b,Z),t(b,He),t(b,ee),t(a,Be),t(a,y),p(S,y,null),t(y,Ee),t(y,te),t(a,Se),t(a,C),p(V,C,null),t(C,Ve),t(C,oe),t(C,Fe),t(C,ne),t(a,je),t(a,T),p(F,T,null),t(T,We),t(T,se),t(a,Re),t(a,N),p(j,N,null),t(N,Ge),t(N,ie),t(a,Xe),t(a,M),p(W,M,null),t(M,Je),t(M,re),m(e,be,d),p(R,e,d),m(e,ve,d),m(e,k,d),p(G,k,null),t(k,Ke),t(k,ae),m(e,we,d),m(e,ce,d),Ce=!0},p:_t,i(e){Ce||(h(L.$$.fragment,e),h(z.$$.fragment,e),h(O.$$.fragment,e),h(H.$$.fragment,e),h(B.$$.fragment,e),h(E.$$.fragment,e),h(S.$$.fragment,e),h(V.$$.fragment,e),h(F.$$.fragment,e),h(j.$$.fragment,e),h(W.$$.fragment,e),h(R.$$.fragment,e),h(G.$$.fragment,e),Ce=!0)},o(e){g(L.$$.fragment,e),g(z.$$.fragment,e),g(O.$$.fragment,e),g(H.$$.fragment,e),g(B.$$.fragment,e),g(E.$$.fragment,e),g(S.$$.fragment,e),g(V.$$.fragment,e),g(F.$$.fragment,e),g(j.$$.fragment,e),g(W.$$.fragment,e),g(R.$$.fragment,e),g(G.$$.fragment,e),Ce=!1},d(e){e&&(s(me),s(le),s(fe),s(ue),s(P),s(pe),s(A),s(he),s(I),s(ge),s(_e),s(a),s(be),s(ve),s(k),s(we),s(ce)),s(x),_(L,e),_(z,e),_(O),_(H),_(B),_(E),_(S),_(V),_(F),_(j),_(W),_(R,e),_(G)}}}const xt='{"title":"UNet3DConditionModel","local":"unet3dconditionmodel","sections":[{"title":"UNet3DConditionModel","local":"diffusers.UNet3DConditionModel","sections":[],"depth":2},{"title":"UNet3DConditionOutput","local":"diffusers.models.unets.unet_3d_condition.UNet3DConditionOutput","sections":[],"depth":2}],"depth":1}';function kt(Ye){return bt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Nt extends vt{constructor(x){super(),wt(this,x,kt,Dt,gt,{})}}export{Nt as component};
